/*--- WWDB.H ----------------------------------------------------------------*/

					/* Window Options */
#define 	_WWFRM		0x01	/* frame */
#define 	_WWVRT		0x02	/* vertical menu */
#define 	_WWIBL		0x04	/* inverse blink */
#define 	_WWMUP		0x08	/* auto menu position */
#define 	_WWMIP		0x10	/* auto mid position */
#define 	_WWCUR		0x20	/* cursor */
#define 	_WWTXT		0x40	/* text supplement */
#define 	_WWASZ		0x80	/* auto size calculation */

					/* Action Options */
#define 	_ACOWW		0x01	/* Open window */
#define 	_ACFNC		0x02	/* Function Call */
#define 	_ACOFF		0x80	/* Action turned off */

					/* Menu Mode */
#define 	_MUKNA	((char) 0x40)	/* Normal ASCII */
#define 	_MUKIA	((char) 0x80)	/* Inverse ASCII */
#define 	_MUKUA	((char) 0xC0)	/* Underline ASCII */


VOID  SetMKey();


typedef struct {			/* window line */
   char    *Text;
   char    Key;
   char    Type;
   char    *Action;
   int	   blink1;
   int	   blink2;
} WWLINE;

typedef struct wwinfo { 		       /* window */
   char    Type;
   int	   Pos;
   char    LinLen;
   char    NrLins;
   WWLINE  *Line;
   struct wwinfo   *Prev; /* (WWINFO *); recursive declaration problem? */
   char    Cpos;
   char    NrOpts;
} WWINFO;


extern WWINFO ww0, ww1, ww2, ww3, ww4, ww5, ww6, ww7, ww8, ww9, wwY;
extern WWLINE wwYLin[];
